precision mediump float;

uniform sampler2D u_texture;
uniform vec4 	u_color;
uniform vec4 	u_light_info;
uniform vec2    u_offsetUV;

varying vec2 v_texcoord;

void main() 
{


	float light;
	float dist = 1.0 - length( u_light_info.xy - v_texcoord) / u_light_info.z ;
	light = min(max(0.0 , dist + 0.1) , 1.0);
	
	gl_FragColor = texture2D(u_texture,v_texcoord + u_offsetUV) * light;
	
}