attribute vec4 a_vertex;
attribute vec4 a_color;
attribute float a_angle;
attribute float a_point_size;

uniform mat4 u_projMatrix;
uniform mat4 u_modelMatrix;
uniform mat4 u_cameraMatrix;

varying vec4 v_color;
varying vec3 v_mat3_1;
varying vec3 v_mat3_2;
varying vec3 v_mat3_3;

void main()
{

	gl_Position =   u_projMatrix * ( u_cameraMatrix * (u_modelMatrix * a_vertex));
	v_color = a_color;
	gl_PointSize = a_point_size ;
	
	float cos = cos(a_angle);
    float sin = sin(a_angle);
	
	v_mat3_1 = vec3(cos, -sin, 0.0);
	v_mat3_2 = vec3(sin, cos, 0.0);
	v_mat3_3 = vec3((1.0-cos-sin)*0.5, (1.0+sin-cos)*0.5, 1.0);
	
	
}