precision mediump float;

uniform sampler2D u_texture;
uniform vec3 u_color_delta;
uniform float u_alpha;

varying vec2 v_texcoord;

void main() 
{
	vec4 color = texture2D(u_texture,v_texcoord);
	
	float r = color.r + u_color_delta.r;
	
	if ( r > 1.0 ) r = 1.0;
	if ( r < 0.0 ) r = 0.0;
	
	float g = color.g + u_color_delta.g;
	
	if ( g > 1.0 ) g = 1.0;
	if ( g < 0.0 ) g = 0.0;
	
	float b = color.b + u_color_delta.b;
	
	if ( b > 1.0 ) b = 1.0;
	if ( b < 0.0 ) b = 0.0;
	
	float a = color.a;
	
	vec4 newColor = vec4(r, g, b, a);
	
	
	gl_FragColor = newColor * u_alpha;
}